#
# spec file for package xml-commons-resolver (Version 1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xerces-j2 xml-commons xml-commons-apis xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           xml-commons-resolver
BuildRequires:  ant java-1_4_2-sun-devel update-alternatives xml-commons-apis
%define section free
%define resolverdir %{_sysconfdir}/java/resolver
Version:        1.1
Release:        21.2
Summary:        Resolver subproject of xml-commons
License:        Apache
URL:            http://xml.apache.org/commons/
Source0:        http://archive.apache.org/dist/xml/commons/xml-commons-resolver-1.1.tar.gz
Source1:        %{name}-resolver.sh
Source2:        %{name}-xread.sh
Source3:        %{name}-xparse.sh
Source4:        %{name}-resolver.1
Source5:        %{name}-xread.1
Source6:        %{name}-xparse.1
Source7:        %{name}-CatalogManager.properties
Patch0:         %{name}-crosslink.patch
Requires:       jaxp_parser_impl
Requires:       xml-commons-apis
#BuildRequires:  %{_bindir}/xsltproc
#BuildRequires:  docbook-style-xsl
Group:          Development/Libraries/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xml-commons is focussed on common code and guidelines for xml projects.
The first focus will be to organize and have common packaging for the
various externally-defined standards code relating to XML - things like
the DOM, SAX, and JAXP interfaces.

This package contains the resolver subproject of xml-commons.



%debug_package
%package javadoc
PreReq:         coreutils
Summary:        Javadoc for xml-commons-resolver
Group:          Development/Libraries/Java

%description javadoc
xml-commons is focussed on common code and guidelines for xml projects.
The first focus will be to organize and have common packaging for the
various externally-defined standards code relating to XML - things like
the DOM, SAX, and JAXP interfaces.

This package contains the javadoc documentation for the resolver
subproject of xml-commons.



%prep
%setup -q
%patch0 -p0
# remove all binary libs and prebuilt javadocs
find . -name "*.jar" -exec rm -f {} \;
rm -rf docs

%build
perl -p -i -e 's|call Resolver|call resolver|g' resolver.xml
perl -p -i -e 's|classname="org.apache.xml.resolver.Catalog"|fork="yes" classname="org.apache.xml.resolver.apps.resolver"|g' resolver.xml
perl -p -i -e 's|org.apache.xml.resolver.Catalog|org.apache.xml.resolver.apps.resolver|g' src/manifest.resolver
#DOCBOOK_XSL=`rpm -ql docbook-style-xsl | grep /html/docbook.xsl \
#| sed 's#html/docbook.xsl##'`
#
#if [ -z $DOCBOOK_XSL ]; then
#  echo "Unable to find docbook xsl directory"
#  exit 1
#fi
#ant -Ddocbook.dir=$DOCBOOK_XSL -f resolver.xml main
ant -Dj2se.apidoc=%{_javadocdir}/java -f resolver.xml jar javadocs

%install
# Jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp build/resolver.jar $RPM_BUILD_ROOT%{_javadir}/apache-%{name}-%{version}.jar
ln -s apache-%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/apache-%{name}.jar
# Javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pR build/apidocs/resolver/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
# Scripts
mkdir -p $RPM_BUILD_ROOT%{_bindir}
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE1} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-resolver
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE2} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-xread
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE3} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-xparse
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE4} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-resolver.1
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE5} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-xread.1
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE6} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-xparse.1
# Central CatalogManager.properties
mkdir -p $RPM_BUILD_ROOT%{resolverdir}
cp -p %{SOURCE7} $RPM_BUILD_ROOT%{resolverdir}/CatalogManager.properties
# xml-resolver ghost symlink
ln -s %{_sysconfdir}/alternatives \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%post
/usr/sbin/update-alternatives --install %{_javadir}/%{name}.jar     %{name}      %{_javadir}/apache-%{name}.jar 42
/usr/sbin/update-alternatives --auto %{name}

%preun
{
  [ $1 = 0 ] || exit 0
  /usr/sbin/update-alternatives --remove %{name} %{_javadir}/apache-%{name}.jar
} >/dev/null 2>&1 || :

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE.resolver.txt
%config(noreplace) %{resolverdir}
%{_javadir}/%{name}*.jar
%{_javadir}/apache-%{name}*.jar
%attr(0755,root,root) %{_bindir}/xml-*
%{_mandir}/man1/xml-*.1*

%files javadoc
%defattr(0644,root,root,0755)
%ghost %doc %{_javadocdir}/%{name}
%doc %{_javadocdir}/%{name}-%{version}

%changelog -n xml-commons-resolver
* Mon Jan 30 2006 - dbornkessel@suse.de
- added update alternatives for xml-commons-resolver
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 - jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 - jsmeix@suse.de
- Current version 1.1 from JPackage.org
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep 02 2004 - skh@suse.de
- Initial package created with version 1.1 (JPackage 1.5)
